Bug 1410066 - SELinux: Many AVC denials for TLP
Summary: SELinux: Many AVC denials for TLP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL: http://linrunner.de/en/tlp/tlp.html
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 11:38 UTC by David Kaspar [Dee'Kej]
Modified: 2017-06-08 18:13 UTC (History)
9 users (show)

Fixed In Version: selinux-policy-3.13.1-225.16.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-19 23:02:44 UTC
Type: Bug


Attachments (Terms of Use)
AVC denials related to TLP (24.54 KB, text/plain)
2017-01-04 11:38 UTC, David Kaspar [Dee'Kej]
no flags Details
My /etc/default/tlp configuration file. (10.40 KB, text/plain)
2017-01-04 11:40 UTC, David Kaspar [Dee'Kej]
no flags Details
Additional policy modules needed by tlp (952 bytes, application/x-xz)
2017-05-10 17:33 UTC, Bertran Lopez
no flags Details

Description David Kaspar [Dee'Kej] 2017-01-04 11:38:45 UTC
Created attachment 1237096 [details]
AVC denials related to TLP

Description of problem:
Changing configuration to TLP (a way to manage how laptop behaves in different situations, like e.g. unplugging from A/C, when to turn on WiFi automatically, etc.) causes many AVC denials after reboot, thus blocking the correct functionality of TLP.

Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-225.3.fc25.noarch

How reproducible:
Always.


Steps to Reproduce:
1. Install the tlp packages (with its requirements):
$ sudo dnf install tlp tlp-rdw

2. Use the configuration for TLP provided in next comment. It replaces the /etc/default/tlp file.

3. TLP should be automatically enabled by default now, only reboot is needed.
4. See the AVC denials in SELinux troubleshooter.

Actual results:
TLP is denied some of its core functionality.

Additional info:
I had to manually allowed the processes for now.


Expected results:
TLP runs as it should.

Comment 1 David Kaspar [Dee'Kej] 2017-01-04 11:40:28 UTC
Created attachment 1237097 [details]
My /etc/default/tlp configuration file.

This is default configuration of TLP, updated with some of my requirements. The configuration should be self-explanatory.

Comment 2 Bertran Lopez 2017-05-10 11:29:21 UTC
This also affects me on a ThinkPad T430s running Fedora 25

Comment 3 Bertran Lopez 2017-05-10 17:33:42 UTC
Created attachment 1277670 [details]
Additional policy modules needed by tlp

These are the additional policy te files I needed to install to get tlp working on my system.

Comment 4 Fedora Update System 2017-05-15 21:18:37 UTC
selinux-policy-3.13.1-225.16.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a20533d62

Comment 5 Fedora Update System 2017-05-17 01:08:05 UTC
selinux-policy-3.13.1-225.16.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a20533d62

Comment 6 Fedora Update System 2017-05-19 23:02:44 UTC
selinux-policy-3.13.1-225.16.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.